Page MenuHomePhabricator

error: remove shortening of node in error message
ClosedPublic

Authored by pulkit on Feb 15 2021, 7:19 AM.

Details

Summary

This strips the complete 20 bytes node which was not found. Having the the full
node in error message is important as it makes debugging easier.

If a short node is to be displayed, that should be done by callers.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Feb 15 2021, 7:19 AM
pulkit edited the summary of this revision. (Show Details)Feb 16 2021, 2:52 AM

Ping for review on the series.

Alphare accepted this revision.Feb 23 2021, 4:14 AM
marmoute accepted this revision.Mar 1 2021, 3:49 AM
marmoute added a subscriber: marmoute.

+1 on this, such error don't happens on "normal" operation, they are mostly the result of store or cache corruption, or user error when using advanced debug command. So having as much information as possible available is a big plus.

baymax updated this revision to Diff 26107.Mar 5 2021, 1:17 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.